> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forestreet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve cached company logo by domain (public)

> Serves company logos cached within the past 90 days. This endpoint is only used for companies discovered on the Forestreet platform; it does not actively search for as-yet-unknown company logos. If the requested logo is missing and a PNG response is requested, a magnifying-glass fallback icon is returned.

This endpoint is not authenticated. It is useful for custom UI serving Forestreet data, where the client's browser does not have a Forestreet login session.



## OpenAPI

````yaml get /v2/public/assets/logos/{domain}
openapi: 3.0.0
info:
  title: Forestreet API
  version: 1.0.0
  description: API documentation for Forestreet API
servers:
  - url: https://rest.forestreet.com
    description: Forestreet API V2 server
security:
  - apiKeyAuth: []
  - bearerAuth: []
  - sessionIdQuery: []
tags: []
paths:
  /v2/public/assets/logos/{domain}:
    get:
      tags:
        - Public
      summary: Retrieve cached company logo by domain (public)
      description: >-
        Serves company logos cached within the past 90 days. This endpoint is
        only used for companies discovered on the Forestreet platform; it does
        not actively search for as-yet-unknown company logos. If the requested
        logo is missing and a PNG response is requested, a magnifying-glass
        fallback icon is returned.


        This endpoint is not authenticated. It is useful for custom UI serving
        Forestreet data, where the client's browser does not have a Forestreet
        login session.
      parameters:
        - schema:
            type: string
            pattern: >-
              ^(?!-)[a-zA-Z0-9-]{1,63}(?<!-)(?:\.(?!-)[a-zA-Z0-9-]{1,63}(?<!-))+$
            description: The domain name for the logo request (e.g., company-domain.com)
          required: true
          description: The domain name for the logo request (e.g., company-domain.com)
          name: domain
          in: path
        - schema:
            type: string
            enum:
              - image/png
              - application/json
            default: image/png
            description: >-
              Content type for the image endpoint. Defaults to 'image/png'. Use
              'application/json' to get base64 encoded image.
          required: false
          description: >-
            Content type for the image endpoint. Defaults to 'image/png'. Use
            'application/json' to get base64 encoded image.
          name: contentType
          in: query
      responses:
        '200':
          description: Cached logo response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates if the asset was successfully retrieved.
                  data:
                    type: string
                    description: Base64 encoded asset data.
                required:
                  - success
                  - data
        '404':
          description: Logo not found in cache
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates if the asset was successfully retrieved.
                  data:
                    type: string
                    description: Base64 encoded asset data.
                required:
                  - success
                  - data
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Pass a static API key for every request, provided by your customer
        support.
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token authentication, using a sessionId generated by `GET
        /v2/auth/session`.
    sessionIdQuery:
      type: apiKey
      in: query
      name: sessionId
      description: >-
        Session ID passed as a query parameter for authentication, provided by
        `GET /v2/auth/session`.

````